---
schema_version: "1"
id: 425f9cdfcb17f88a7362cea6dcf65d53417236a4f5f0e785ea4e985ef8eebd38
title: Salesforce Payments API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/salesforce-commerce/references/generated-api-specs/comm-payments-ref.md
canonical_url: https://developer.salesforce.com/docs/commerce/salesforce-commerce/references/comm-payments-ref
source_site: developer.salesforce.com
content_type: documentation
content_hash: acb2e02dec0a03b884dab7909c5b646af161dcd5f6d4888433102e07f32db4f0
products:
  - B2B Commerce Developer Guide
  - Salesforce APIs
---
Salesforce Payments API

# Salesforce Payments API

The Salesforce Payments API provides resources for managing payment methods within a merchant account. With this API, you can manage payment methods, save and update setup intents and payment method details, retrieve configured payment method sets, initiate payment processes, create payment link orders, and retrieve payment link details.

Salesforce Payments API endpoints are available under /payments. To access these resources, your org must have one or more of these licenses:

*   Salesforce Payments Internal license
*   Salesforce Payments External User license
*   Payments Administrator permissions
*   Authenticated Payer permissions
*   Access to public API sites for guest users who want to make payments

**Version:** 66.0

## Servers

*   `https://{yourinstance}.salesforce.com/services/data/{version}`
    *   `version (default v66.0): v66.0, v65.0, v64.0, v63.0, v62.0`

## Operations

### POST Create an order for a payment link.

`POST /payments/link-to-order/{paymentLinkId}`

Operation ID: `createPaymentLinkToOrder`. Tags: Payment Link.

First, the Payment Link, Get Configuration API is called to fetch the payment link details, which are then shown on the Pay Now page. These details include the amount, payment method, and currency. After users enter payment details and additional information, the Payment Link, Create Order API is called to process the payment and generate the payment order.

#### Parameters

*   `paymentLinkId` (path, string, required, style: simple) Payment link ID used to process payments and create payment orders.

#### Request body

Payment link input that's used to generate the payment order.

Media type: `application/json`. Schema: `PaymentLinkToOrderInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `PaymentLinkToOrderOutputRepresentation`.
    

### GET Retrieve all saved payment methods for a specific merchant account or contact.

`GET /payments/merchant-accounts/{merchantAccountId}/saved-payment-methods`

Operation ID: `getSavedPaymentMethods`. Tags: Saved Payment Method.

#### Parameters

*   `merchantAccountId` (path, string, required, style: simple) Required. Salesforce Payments merchant account ID associated with the saved payment method.
*   `effectiveAccountId` (query, string, style: form, explode: true) Required. Owner of the saved payment method. Saved Payment Method doesn't support account switching in B2B Commerce. Make sure the logged-in user's parent account ID matches the store's effective account ID.
*   `pageSize` (query, integer (int32), style: form, explode: true) Optional. Number of records returned per page.
*   `pageToken` (query, string, style: form, explode: true) Optional. Marker denoting the next page to retrieve.
*   `sortOrder` (query, SavedPaymentMethodSortOrderEnum, style: form, explode: true) Optional. Sorts the returned list in descending or ascending by name.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `SavedPaymentMethodCollectionOutputRepresentation`.
    

### POST Create a new saved payment method. This API is available only to registered shoppers.

`POST /payments/merchant-accounts/{merchantAccountId}/saved-payment-methods`

Operation ID: `createSavedPaymentMethod`. Tags: Saved Payment Method.

#### Parameters

*   `merchantAccountId` (path, string, required, style: simple) Required. Salesforce Payments merchant account ID associated with the saved payment method.

#### Request body

Details of the shopper’s saved payment method.

Media type: `application/json`. Schema: `SavedPaymentMethodInputRepresentation`.

_Example: CreateCardSetupIntent_ Creates the setup intent for card payment method with Stripe.

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "savedByMerchant": false,
  "referenceOwnerId": "001RM000005WOk0YAG",
  "usageType": "OffSession",
  "isDefault": true
}
```

_Example: Create&ConfirmMotoSetupIntent_ Creates and confirms the setup intent for MOTO with Stripe.

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "savedByMerchant": true,
  "gatewayToken": "pm_1P5tJgI1HBpLATyQnQp1aidp",
  "referenceOwnerId": "001RM000005WOk0YAG",
  "usageType": "OffSession",
  "isDefault": true,
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  }
}
```

_Example: CreateCardMotoSetupIntentAdyen_ Creates a setup intent for card payment method MOTO with Adyen.

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "savedByMerchant": true,
  "referenceOwnerId": "001RM000005WOk0YAG",
  "paymentMethodInformation": {
    "paymentMethodData": {
      "paymentMethod": {
        "type": "scheme",
        "encryptedCardNumber": "test_4111111111111111",
        "encryptedExpiryMonth": "test_03",
        "encryptedExpiryYear": "test_2030",
        "encryptedSecurityCode": "test_737",
        "holderName": "John Smith"
      }
    }
  },
  "usageType": "OffSession",
  "isDefault": true,
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  }
}
```

_Example: CreateACHMotoSetupIntentAdyen_ Creates a setup intent for ACH payment method MOTO with Adyen.

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "ach",
  "savedByMerchant": true,
  "referenceOwnerId": "001RM000005WOk0YAG",
  "paymentMethodInformation": {
    "paymentMethodData": {
      "paymentMethod": {
        "type": "ach",
        "bankLocationId": 11000138,
        "bankAccountNumber": 1234567890,
        "ownerName": "John Smith"
      }
    }
  },
  "usageType": "OffSession",
  "isDefault": true,
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  }
}
```

_Example: Create&ConfirmACHSetupIntentByMerchant_ Creates and confirms the ACH setup intent by a merchant with Stripe.

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "us_bank_account",
  "savedByMerchant": true,
  "referenceOwnerId": "001RM000005WOk0YAG",
  "usageType": "OffSession",
  "isDefault": true,
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  },
  "paymentMethodInformation": {
    "accountHolder": "Business",
    "accountType": "Savings",
    "accountNumber": 123456789,
    "routingNumber": 110000000,
    "achConsentMethod": "Written"
  }
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `SavedPaymentMethodCollectionOutputRepresentation`.
    
    _Example: Create&ConfirmMotoSetupIntent_ Creates and confirms the setup intent for MOTO with Stripe
    
    ```
    {
      "items": [
        {
          "gatewayRefId": "seti_1P66utI1HBpLATyQDFReChaH",
          "savedByMerchant": true,
          "gatewayResponse": {
            "id": "seti_1P66utI1HBpLATyQDFReChaH",
            "object": "setup_intent",
            "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
            "automatic_payment_methods": null,
            "cancellation_reason": null,
            "client_secret": "seti_1P66utI1HBpLATyQDFReChaH_secret_PvysjHIcpI3u8zTLaHrVfTnGxsjIetU",
            "created": 1713254339,
            "customer": "cus_PvkpNaxCGzZUwC",
            "description": null,
            "flow_directions": null,
            "last_setup_error": null,
            "latest_attempt": "setatt_1P66utI1HBpLATyQksnLimz7",
            "livemode": false,
            "mandate": null,
            "metadata": {},
            "next_action": null,
            "on_behalf_of": null,
            "payment_method": "pm_1P5tJgI1HBpLATyQnQp1aidp",
            "payment_method_configuration_details": null,
            "payment_method_options": {
              "card": {
                "mandate_options": null,
                "network": null,
                "request_three_d_secure": "automatic"
              }
            },
            "payment_method_types": [
              "card"
            ],
            "single_use_mandate": null,
            "status": "succeeded",
            "usage": "off_session"
          }
        }
      ]
    }
    ```
    
    _Example: CreateCardMotoSetupIntentAdyen_ Creates a setup intent for Card Payment Method MOTO with Adyen
    
    ```
    {
      "items": [
        {
          "gatewayRefId": "L9QW69WV35F2MV65",
          "gatewayResponse": {
            "amount": {
              "currency": "USD",
              "value": 0
            },
            "resultCode": "Authorised",
            "paymentMethod": {
              "brand": "visa",
              "type": "scheme"
            },
            "additionalData": {
              "recurringProcessingModel": "UnscheduledCardOnFile",
              "recurring.recurringDetailReference": "LXNBKMWVRT84QM65",
              "recurring.shopperReference": "o:00Dxx0000006GvnEAE;g:0b0xx00000000G9AAI;m:8zbxx00000000G9AAI;u:001xx000003GYiTAAW;"
            },
            "pspReference": "L9QW69WV35F2MV65",
            "merchantReference": "099a3f57-3eda-47a8-a5ad-d682a566e566"
          }
        }
      ]
    }
    ```
    
    _Example: CreateACHMotoSetupIntentAdyen_ Creates a setup intent for ACH Payment Method MOTO with Adyen
    
    ```
    {
      "items": [
        {
          "gatewayRefId": "L264T3W4X3H8F6V5",
          "gatewayResponse": {
            "amount": {
              "currency": "USD",
              "value": 0
            },
            "resultCode": "Authorised",
            "paymentMethod": {
              "type": "ach"
            },
            "additionalData": {
              "achdirectdebit.dateOfSignature": "2024-10-03",
              "recurring.recurringDetailReference": "MJBKDGF9MPN4VDV5",
              "achdirectdebit.mandateId": "L264T3W4X3H8F6V5",
              "achdirectdebit.sequenceType": "First",
              "recurring.shopperReference": "o:00Dxx0000006GvnEAE;g:0b0xx00000000G9AAI;m:8zbxx00000000G9AAI;u:001xx000003GYiTAAW;"
            },
            "pspReference": "L264T3W4X3H8F6V5",
            "merchantReference": "099a3f57-3eda-47a8-a5ad-d682a566e566"
          }
        }
      ]
    }
    ```
    
    _Example: Create&ConfirmACHSetupIntentByMerchant_ Creates and confirms the ACH setup intent by Merchant
    
    ```
    {
      "items": [
        {
          "gatewayRefId": "seti_1P66utI1HBpLATyQDFReChaH",
          "savedByMerchant": true,
          "gatewayResponse": {
            "id": "seti_1P66utI1HBpLATyQDFReChaH",
            "object": "setup_intent",
            "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
            "automatic_payment_methods": null,
            "cancellation_reason": null,
            "client_secret": "seti_1P66SnI1HBpLATyQEXWAVBOl_secret_PvyPWvOg30xev3xjFMbMghEeQmlpUEe",
            "created": 1713252597,
            "customer": "cus_PvkpNaxCGzZUwC",
            "description": null,
            "flow_directions": null,
            "last_setup_error": null,
            "latest_attempt": "setatt_1P66SnI1HBpLATyQLg2LQWYJ",
            "livemode": false,
            "mandate": "mandate_1P66SnI1HBpLATyQQzOfm0Lo",
            "metadata": {},
            "next_action": {
              "type": "verify_with_microdeposits",
              "verify_with_microdeposits": {
                "arrival_date": 1713337200,
                "hosted_verification_url": "https://payments.stripe.com/microdeposit/sacs_test_YWNjdF8xUDI3aG1JMUhCcExBVHlRLHNhX25vbmNlX1B2eVBNWmM2V0I1dGV3N2VYU1lwRHJpR2xMcGpFMUE0000SItrkZtX",
                "microdeposit_type": "descriptor_code"
              }
            },
            "on_behalf_of": null,
            "payment_method": "pm_1P66SnI1HBpLATyQ9tByE7xb",
            "payment_method_configuration_details": null,
            "payment_method_options": {
              "us_bank_account": {
                "mandate_options": {
                  "collection_method": "paper"
                },
                "verification_method": "microdeposits"
              }
            },
            "payment_method_types": [
              "us_bank_account"
            ],
            "single_use_mandate": null,
            "status": "requires_action",
            "usage": "off_session"
          }
        }
      ]
    }
    ```
    

### POST Store setup intent and payment method details in the SavedPaymentMethod object.

`POST /payments/merchant-accounts/{merchantAccountId}/saved-payment-methods/saveToken`

Operation ID: `saveSavedPaymentMethod`. Tags: Saved Payment Method.

#### Parameters

*   `merchantAccountId` (path, string, required, style: simple) Required. Salesforce Payments merchant account ID associated with the saved payment method.

#### Request body

Details of the shopper’s saved payment method.

Media type: `application/json`. Schema: `SavedPaymentMethodInputRepresentation (extended)`.

Includes all fields of `SavedPaymentMethodInputRepresentation`.

_Example_

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "referenceOwnerId": "001RM000005WOk0YAG",
  "gatewayCustomerReference": "cus_PvkpNaxCGzZUwC",
  "gatewayInitiatorReference": "seti_1P5uM1I1HBpLATyQTQbtun8h"
}
```

_Example: SaveCard_ Saving card payment method type

```
{
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "referenceOwnerId": "001RM000005WOk0YAG",
  "gatewayCustomerReference": "cus_PvkpNaxCGzZUwC",
  "gatewayInitiatorReference": "seti_1P5uM1I1HBpLATyQTQbtun8h"
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `SavedPaymentMethodOutputRepresentation (extended)`.
    
    Includes all fields of `SavedPaymentMethodOutputRepresentation`.
    
    _Example_
    
    ```
    {
      "gatewayRefId": "seti_1P5uM1I1HBpLATyQTQbtun8h",
      "isSharedWithinSameAccount": false,
      "isOwner": true,
      "gatewayResponse": {
        "id": "seti_1P5uM1I1HBpLATyQTQbtun8h",
        "object": "setup_intent",
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "automatic_payment_methods": null,
        "cancellation_reason": null,
        "client_secret": "seti_1P66P7I1HBpLATyQQw89mRvq_secret_PvyLqn7WbP3LpBQlcTi6Q16k7keTdvZ",
        "created": 1713252369,
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "flow_directions": null,
        "last_setup_error": null,
        "latest_attempt": "setatt_1P66P7I1HBpLATyQMGeylNCZ",
        "livemode": false,
        "mandate": null,
        "metadata": {},
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": {
          "id": "pm_1P5tJgI1HBpLATyQnQp1aidp",
          "object": "payment_method",
          "billing_details": {
            "address": {
              "city": "San Francisco",
              "country": "US",
              "line1": "126 Mission St",
              "line2": null,
              "postal_code": "94102",
              "state": "California"
            },
            "email": "davidtaylor@salesforce.com",
            "name": "David Taylor",
            "phone": null
          },
          "card": {
            "brand": "visa",
            "checks": {
              "address_line1_check": "pass",
              "address_postal_code_check": "pass",
              "cvc_check": "pass"
            },
            "country": "US",
            "display_brand": "visa",
            "exp_month": 3,
            "exp_year": 2026,
            "fingerprint": "aXEXuPhFCIBH7ifR",
            "funding": "credit",
            "generated_from": null,
            "last4": "4242",
            "networks": {
              "available": [
                "visa"
              ],
              "preferred": null
            },
            "three_d_secure_usage": {
              "supported": true
            },
            "wallet": null
          },
          "created": 1713202060,
          "customer": "cus_PvkpNaxCGzZUwC",
          "livemode": false,
          "metadata": {},
          "type": "card"
        },
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "card": {
            "mandate_options": null,
            "network": null,
            "request_three_d_secure": "automatic"
          }
        },
        "payment_method_types": [
          "card"
        ],
        "single_use_mandate": null,
        "status": "succeeded",
        "usage": "off_session"
      }
    }
    ```
    
    _Example: SaveCardResponse_ Save card payment method type response
    
    ```
    {
      "gatewayRefId": "seti_1P5uM1I1HBpLATyQTQbtun8h",
      "isSharedWithinSameAccount": false,
      "isOwner": true,
      "gatewayResponse": {
        "id": "seti_1P5uM1I1HBpLATyQTQbtun8h",
        "object": "setup_intent",
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "automatic_payment_methods": null,
        "cancellation_reason": null,
        "client_secret": "seti_1P66P7I1HBpLATyQQw89mRvq_secret_PvyLqn7WbP3LpBQlcTi6Q16k7keTdvZ",
        "created": 1713252369,
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "flow_directions": null,
        "last_setup_error": null,
        "latest_attempt": "setatt_1P66P7I1HBpLATyQMGeylNCZ",
        "livemode": false,
        "mandate": null,
        "metadata": {},
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": {
          "id": "pm_1P5tJgI1HBpLATyQnQp1aidp",
          "object": "payment_method",
          "billing_details": {
            "address": {
              "city": "San Francisco",
              "country": "US",
              "line1": "126 Mission St",
              "line2": null,
              "postal_code": "94102",
              "state": "California"
            },
            "email": "davidtaylor@salesforce.com",
            "name": "David Taylor",
            "phone": null
          },
          "card": {
            "brand": "visa",
            "checks": {
              "address_line1_check": "pass",
              "address_postal_code_check": "pass",
              "cvc_check": "pass"
            },
            "country": "US",
            "display_brand": "visa",
            "exp_month": 3,
            "exp_year": 2026,
            "fingerprint": "aXEXuPhFCIBH7ifR",
            "funding": "credit",
            "generated_from": null,
            "last4": "4242",
            "networks": {
              "available": [
                "visa"
              ],
              "preferred": null
            },
            "three_d_secure_usage": {
              "supported": true
            },
            "wallet": null
          },
          "created": 1713202060,
          "customer": "cus_PvkpNaxCGzZUwC",
          "livemode": false,
          "metadata": {},
          "type": "card"
        },
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "card": {
            "mandate_options": null,
            "network": null,
            "request_three_d_secure": "automatic"
          }
        },
        "payment_method_types": [
          "card"
        ],
        "single_use_mandate": null,
        "status": "succeeded",
        "usage": "off_session"
      }
    }
    ```
    

### DELETE Delete a saved payment method linked to a specific merchant account.

`DELETE /payments/merchant-accounts/{merchantAccountId}/saved-payment-methods/{savedPaymentMethodId}`

Operation ID: `deleteSavedPaymentMethod`. Tags: Saved Payment Method.

#### Parameters

*   `merchantAccountId` (path, string, required, style: simple) Required. Salesforce Payments merchant account ID associated with the saved payment method.
*   `savedPaymentMethodId` (path, string, required, style: simple) Required. ID of the saved payment method record to delete.
*   `effectiveAccountId` (query, string, style: form, explode: true) Required. Owner of the saved payment method. Saved Payment Method doesn't support account switching in B2B Commerce. Make sure the logged-in user's parent account ID matches the store's effective account ID.

#### Responses

*   **200** Success

### PATCH Update a saved payment method linked to a specific merchant account.

`PATCH /payments/merchant-accounts/{merchantAccountId}/saved-payment-methods/{savedPaymentMethodId}`

Operation ID: `updateSavedPaymentMethod`. Tags: Saved Payment Method.

#### Parameters

*   `merchantAccountId` (path, string, required, style: simple) Required. Salesforce Payments merchant account ID associated with the saved payment method.
*   `savedPaymentMethodId` (path, string, required, style: simple) Required. ID of the saved payment method record to update.
*   `effectiveAccountId` (query, string, style: form, explode: true) Required. Owner of the saved payment method. Saved Payment Method doesn't support account switching in B2B Commerce. Make sure the logged-in user's parent account ID matches the store's effective account ID.

#### Request body

Marks Saved Payment Method as Default or Shared

Media type: `application/json`. Schema: `UpdateSavedPaymentMethodInputRepresentation (extended)`.

Includes all fields of `UpdateSavedPaymentMethodInputRepresentation`.

_Example_

```
{
  "markAsDefault": true,
  "markAsShared": false
}
```

_Example: MarkSPMAsDefault_ Marks SPM as default

```
{
  "markAsDefault": true
}
```

_Example: MarkSPMAsShared_ Marks SPM as shared

```
{
  "markAsShared": false
}
```

_Example: Create&MarkSPMAsDefaultAndShared_ Marks Saved Payment Method as default and Shared.

```
{
  "markAsDefault": true,
  "markAsShared": false
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `SavedPaymentMethodOutputRepresentation`.
    

### GET Retrieve dependent records associated with the specified saved payment method.

`GET /payments/merchant-accounts/{merchantAccountId}/saved-payment-methods/{savedPaymentMethodId}/dependents`

Operation ID: `getSavedPaymentMethodDependents`. Tags: Saved Payment Method.

#### Parameters

*   `merchantAccountId` (path, string, required, style: simple) Required. Salesforce Payments merchant account ID associated with the saved payment method.
*   `savedPaymentMethodId` (path, string, required, style: simple) Required. ID of the saved payment method record for which dependents needs to be returned.
*   `effectiveAccountId` (query, string, style: form, explode: true) ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `SavedPaymentMethodDependentOutputRepresentation`.
    
    _Example: GetDependentSubscriptionItems_ Gets the list of dependent subscription items.
    
    ```
    {
      "items": [
        {
          "id": "02i000000Xy1234",
          "startDate": "2023-08-01T00:00:00.000Z",
          "endDate": "2024-07-31T23:59:59.000Z",
          "quantity": 4
        }
      ]
    }
    ```
    

### POST Initiate a payment using Salesforce Payments.

`POST /payments/payment-intents`

Operation ID: `createPaymentIntent`. Tags: Payment Intent.

#### Request body

Payment intents input consumed to initiate a payment.

Media type: `application/json`. Schema: `PaymentIntentInputRepresentation (extended)`.

Includes all fields of `PaymentIntentInputRepresentation`.

_Example_

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "gatewayToken": "pm_1P5tJgI1HBpLATyQnQp1aidp"
}
```

_Example: Create&ConfirmMOTOPaymentIntentWhenSaveForFutureUsageNotChecked_ Creates and confirms MOTO Payment Intent when SaveForFutureUsage isn't checked with Stripe.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "gatewayToken": "pm_1P5tJgI1HBpLATyQnQp1aidp"
}
```

_Example: Create&ConfirmMOTOPaymentIntentWhenSaveForFutureUsageIsChecked_ Creates and confirms MOTO Payment Intent when SaveForFutureUsage is checked with Stripe.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "gatewayToken": "pm_1P5tJgI1HBpLATyQnQp1aidp",
  "paymentMethod": {
    "usageType": "OffSession",
    "referenceOwnerId": "001RM000005WOk0",
    "isDefault": true
  }
}
```

_Example: Create&ConfirmMOTOPaymentIntentWhenExistingSPMSelected_ Creates and confirms MOTO Payment Intent when an existing Saved Payment Method is selected.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "paymentMethod": {
    "id": "12q000000123"
  }
}
```

_Example: Create&ConfirmMerchantACHPaymentIntentWhenSaveForFutureUsageNotChecked_ Creates and confirms ACH Payment Intent by a merchant when SaveForFutureUsage isn't checked with Stripe.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "us_bank_account",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  },
  "paymentMethodInformation": {
    "accountHolder": "Business",
    "accountType": "Savings",
    "accountNumber": 123456789,
    "routingNumber": 110000000,
    "achConsentMethod": "Written"
  }
}
```

_Example: Create&ConfirmMerchantACHPaymentIntentWhenSaveForFutureUsageIsChecked_ Creates and confirms ACH Payment Intent by a merchant when SaveForFutureUsage is checked with Stripe.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "us_bank_account",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  },
  "paymentMethodInformation": {
    "accountHolder": "Business",
    "accountType": "Savings",
    "accountNumber": 123456789,
    "routingNumber": 110000000,
    "achConsentMethod": "Written"
  },
  "paymentMethod": {
    "usageType": "OffSession",
    "referenceOwnerId": "001RM000005WOk0",
    "isDefault": true
  }
}
```

_Example: Create&ConfirmMerchantACHPaymentIntentWhenExistingSPMSelected_ Creates and confirms ACH Payment Intent by Merchant when an existing Saved Payment Method is selected.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "us_bank_account",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "paymentMethod": {
    "id": "12q000000123"
  }
}
```

_Example: Create&ConfirmMOTOPaymentIntentWhenSaveForFutureUsageNotCheckedWithAdyen_ Creates MOTO Payment Intent when SaveForFutureUsage isn't checked with Adyen.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "card",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "paymentMethodInformation": {
    "paymentMethodData": {
      "paymentMethod": {
        "type": "scheme",
        "encryptedCardNumber": "test_4111111111111111",
        "encryptedExpiryMonth": "test_03",
        "encryptedExpiryYear": "test_2030",
        "encryptedSecurityCode": "test_737",
        "holderName": "John Smith"
      }
    }
  }
}
```

_Example: Create&ConfirmMerchantACHPaymentIntentWhenSaveForFutureUsageNotCheckedWithAdyen_ Creates ACH Payment Intent by Merchant when SaveForFutureUsage isn't checked with Adyen.

```
{
  "amount": 23.54,
  "currencyIsoCode": "USD",
  "paymentGatewayId": "0b0xx0000000001",
  "paymentMethodType": "us_bank_account",
  "useManualCapture": false,
  "businessAchEnabled": false,
  "isExpress": false,
  "isShippingApplicable": false,
  "isSavedPaymentMethodEnabled": true,
  "paymentMethodSetDeveloperName": "AMER_US",
  "entryMode": "Merchant",
  "payerBillingAddress": {
    "companyName": "Adidas",
    "street": "125 Mission St",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94102",
    "country": "US"
  },
  "paymentMethodInformation": {
    "paymentMethodData": {
      "paymentMethod": {
        "type": "ach",
        "bankLocationId": 11000138,
        "bankAccountNumber": 1234567890,
        "ownerName": "John Smith"
      }
    }
  }
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `object`.
    
    List of initiated payment intents.
    
    Includes all fields of `PaymentIntentOutputRepresentation`.
    
    _Example_
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P82FtI1HBpLATyQ08rpHRXA",
      "status": "Succeeded",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P82KpI1HBpLATyQ07x42HAF",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 2000,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": 88,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P82KpI1HBpLATyQ07x42HAF_secret_Bwz2UPW56VMOBNGGXKtWR6WQi",
        "confirmation_method": "automatic",
        "created": 1713713383,
        "currency": "usd",
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": "ch_3P82KpI1HBpLATyQ0FXja9ud",
        "level3": null,
        "livemode": false,
        "metadata": {
          "gatewayId": "0b0xx0000000001",
          "is_existing_pm": "false",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001"
        },
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": "pm_1P82FfI1HBpLATyQR7auyqsN",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "card": {
            "installments": null,
            "mandate_options": null,
            "network": null,
            "request_three_d_secure": "automatic"
          }
        },
        "payment_method_types": [
          "card"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": null,
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "succeeded",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMOTOPaymentIntentWhenSaveForFutureUsageNotChecked_ Creates and confirms MOTO payment intent when SaveForFutureUsage isn't checked with Stripe
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P82FtI1HBpLATyQ08rpHRXA",
      "status": "Succeeded",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P82KpI1HBpLATyQ07x42HAF",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 2000,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": 88,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P82KpI1HBpLATyQ07x42HAF_secret_Bwz2UPW56VMOBNGGXKtWR6WQi",
        "confirmation_method": "automatic",
        "created": 1713713383,
        "currency": "usd",
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": "ch_3P82KpI1HBpLATyQ0FXja9ud",
        "level3": null,
        "livemode": false,
        "metadata": {
          "gatewayId": "0b0xx0000000001",
          "is_existing_pm": "false",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001"
        },
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": "pm_1P82FfI1HBpLATyQR7auyqsN",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "card": {
            "installments": null,
            "mandate_options": null,
            "network": null,
            "request_three_d_secure": "automatic"
          }
        },
        "payment_method_types": [
          "card"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": null,
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "succeeded",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMOTOPaymentIntentWhenSaveForFutureUsageIsChecked_ Creates and confirms MOTO payment intent when SaveForFutureUsage is checked with Stripe
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P82g8I1HBpLATyQ1BExtho3",
      "status": "Succeeded",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P82g8I1HBpLATyQ1BExtho3",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 2000,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": 88,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P82g8I1HBpLATyQ1BExtho3_secret_fQmzJfeJXdWDjpQNAlk4MdS42",
        "confirmation_method": "automatic",
        "created": 1713714704,
        "currency": "usd",
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": "ch_3P82g8I1HBpLATyQ13GpI177",
        "level3": null,
        "livemode": false,
        "metadata": {
          "gatewayId": "0b0xx0000000001",
          "is_existing_pm": "false",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001",
          "save_as_default": true
        },
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": "pm_1P82FfI1HBpLATyQR7auyqsN",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "card": {
            "installments": null,
            "mandate_options": null,
            "network": null,
            "request_three_d_secure": "automatic"
          }
        },
        "payment_method_types": [
          "card"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": "off_session",
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "succeeded",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMOTOPaymentIntentWhenExistingSPMSelected_ Creates and confirms MOTO payment intent when existing SPM is selected with Stripe
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P82xJI1HBpLATyQ0t1ckrH6",
      "status": "Succeeded",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P82xJI1HBpLATyQ0t1ckrH6",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 2000,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": 88,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P82xJI1HBpLATyQ0t1ckrH6_secret_m4Ur8GdJMOYfWAlqcz6kkdiEG",
        "confirmation_method": "automatic",
        "created": 1713715769,
        "currency": "usd",
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": "ch_3P82xJI1HBpLATyQ0kADzdhX",
        "level3": null,
        "livemode": false,
        "metadata": {
          "sfp.spm_id": "12q000000123",
          "is_existing_pm": "true",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001"
        },
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": "pm_1P82FfI1HBpLATyQR7auyqsN",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "card": {
            "installments": null,
            "mandate_options": null,
            "network": null,
            "request_three_d_secure": "automatic"
          }
        },
        "payment_method_types": [
          "card"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": null,
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "succeeded",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMerchantACHPaymentIntentWhenSaveForFutureUsageNotChecked_ Creates & confirms ACH Payment Intent by Merchant when SaveForFutureUsage is not checked
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P836MI1HBpLATyQ09mC72Q6",
      "status": "Pending",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P836MI1HBpLATyQ09mC72Q6",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 0,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": null,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P836MI1HBpLATyQ09mC72Q6_secret_PSnKM5ST8IRu9hQMKxmtFDE8D",
        "confirmation_method": "automatic",
        "created": 1713716330,
        "currency": "usd",
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": null,
        "level3": null,
        "livemode": false,
        "metadata": {
          "gatewayId": "0b0xx0000000001",
          "is_existing_pm": "false",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001"
        },
        "next_action": {
          "type": "verify_with_microdeposits",
          "verify_with_microdeposits": {
            "arrival_date": 1713769200,
            "hosted_verification_url": "https://payments.stripe.com/microdeposit/pacs_test_YWNjdF8xUDI3aG1JMUhCcExBVHlRLHBhX25vbmNlX1B4ejRUTU5zOUJlcHQ0bVAxcUoxdHJhUTBnRXFNY2w0000OcArUQ6i",
            "microdeposit_type": "descriptor_code"
          }
        },
        "on_behalf_of": null,
        "payment_method": "pm_1P836MI1HBpLATyQryeNmKhW",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "us_bank_account": {
            "mandate_options": {
              "collection_method": "paper"
            },
            "verification_method": "microdeposits"
          }
        },
        "payment_method_types": [
          "us_bank_account"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": null,
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "requires_action",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMerchantACHPaymentIntentWhenSaveForFutureUsageIsChecked_ Creates and confirms ACH payment intent by a merchant when SaveForFutureUsage is checked with Stripe
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P836MI1HBpLATyQ09mC72Q6",
      "status": "Pending",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P83DOI1HBpLATyQ13TOnyoy",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 0,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": null,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P83DOI1HBpLATyQ13TOnyoy_secret_vK1iSLnFb0p7YDXW3wCa5eOaY",
        "confirmation_method": "automatic",
        "created": 1713716766,
        "currency": "usd",
        "customer": "cus_PvkpNaxCGzZUwC",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": null,
        "level3": null,
        "livemode": false,
        "metadata": {
          "gatewayId": "0b0xx0000000001",
          "is_existing_pm": "false",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001",
          "save_as_default": true
        },
        "next_action": {
          "type": "verify_with_microdeposits",
          "verify_with_microdeposits": {
            "arrival_date": 1713769200,
            "hosted_verification_url": "https://payments.stripe.com/microdeposit/pacs_test_YWNjdF8xUDI3aG1JMUhCcExBVHlRLHBhX25vbmNlX1B4ekI4QWx6VlVKQlBtVFlBcUVQVmhPeE9ZRnh3RVo0000Hce92QY4",
            "microdeposit_type": "descriptor_code"
          }
        },
        "on_behalf_of": null,
        "payment_method": "pm_1P83DOI1HBpLATyQ6eIXjZpi",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "us_bank_account": {
            "mandate_options": {
              "collection_method": "paper"
            },
            "verification_method": "microdeposits"
          }
        },
        "payment_method_types": [
          "us_bank_account"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": "off_session",
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "requires_action",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMerchantACHPaymentIntentWhenExistingSPMSelected_ Creates and confirms ACH payment intent by a merchant when an existing SPM is selected for Stripe
    
    ```
    {
      "guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
      "gatewayRefId": "pi_3P836MI1HBpLATyQ09mC72Q6",
      "status": "Pending",
      "isMultiCaptureSupported": true,
      "paymentGatewayId": "0b0xx0000000001",
      "gatewayResponse": {
        "id": "pi_3P83OKI1HBpLATyQ0aTD4lsN",
        "object": "payment_intent",
        "amount": 2000,
        "amount_capturable": 0,
        "amount_details": {
          "tip": {}
        },
        "amount_received": 0,
        "amount_subtotal": 2000,
        "application": "ca_G7iB1bFhSoNnfoXuHb85hdsCavzd19DI",
        "application_fee_amount": null,
        "automatic_payment_methods": null,
        "canceled_at": null,
        "cancellation_reason": null,
        "capture_method": "automatic",
        "client_secret": "pi_3P83OKI1HBpLATyQ0aTD4lsN_secret_o2qNE6vDBH5aDCi18y805Lmy2",
        "confirmation_method": "automatic",
        "created": 1713717444,
        "currency": "usd",
        "customer": "cus_PxzMEtdNziB7B4",
        "description": null,
        "invoice": null,
        "last_payment_error": null,
        "latest_charge": "py_3P83OKI1HBpLATyQ0VZy01qM",
        "level3": null,
        "livemode": false,
        "metadata": {
          "sfp.spm_id": "12q000000123",
          "is_existing_pm": "true",
          "sf_prod_org_id": "0DB000000123",
          "sfp.guid": "2f96f2c2-0f4e-4921-a92f-9ad1dc497919",
          "sfp.sourceObjectId": "sourceObjectId",
          "sfp.merchant_id": "8zbRO00000000VAYAY",
          "sfp.gateway_id": "0b0xx0000000001"
        },
        "next_action": null,
        "on_behalf_of": null,
        "payment_method": "pm_1P83O3I1HBpLATyQUejyK3LV",
        "payment_method_configuration_details": null,
        "payment_method_options": {
          "us_bank_account": {
            "mandate_options": {
              "collection_method": "paper"
            },
            "verification_method": "microdeposits"
          }
        },
        "payment_method_types": [
          "us_bank_account"
        ],
        "processing": null,
        "receipt_email": null,
        "review": null,
        "setup_future_usage": "off_session",
        "shipping": null,
        "source": null,
        "statement_descriptor": null,
        "statement_descriptor_suffix": null,
        "status": "processing",
        "total_details": {
          "amount_discount": 0,
          "amount_tax": 0
        },
        "transfer_data": null,
        "transfer_group": null
      }
    }
    ```
    
    _Example: Create&ConfirmMOTOPaymentIntentWhenSaveForFutureUsageNotCheckedWithAdyen_ Creates & confirms MOTO Payment Intent when SaveForFutureUsage is not checked with Adyen
    
    ```
    {
      "gatewayRefId": "PT9GV3ZQ9SM8F6V5",
      "status": "Created",
      "paymentGatewayId": "0b0xx00000000G9AAI",
      "guid": "73dd6f04-ea2a-4c39-9170-eef351325e05",
      "gatewayResponse": {
        "amount": {
          "currency": "USD",
          "value": 10000
        },
        "environment": "test",
        "resultCode": "Authorised",
        "paymentMethod": {
          "brand": "visa",
          "type": "scheme"
        },
        "guid": "73dd6f04-ea2a-4c39-9170-eef351325e05",
        "additionalData": {
          "recurringProcessingModel": "UnscheduledCardOnFile",
          "recurring.shopperReference": "o:00Dxx0000006GvnEAE;g:0b0xx00000000G9AAI;m:8zbxx00000000G9AAI;u:001xx000003GYiTAAW",
          "recurring.recurringDetailReference": "LXNBKMWVRT84QM65"
        },
        "pspReference": "PT9GV3ZQ9SM8F6V5",
        "merchantReference": "73dd6f04-ea2a-4c39-9170-eef351325e05"
      }
    }
    ```
    

### GET Retrieve the configuration details of a payment link.

`GET /payments/payment-link-configs/{paymentLinkId}`

Operation ID: `getPaymentLinkConfig`. Tags: Payment Link.

#### Parameters

*   `paymentLinkId` (path, string, required, style: simple) Required. Unique identifier for the payment link.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `object`.
    
    Payment link configuration details.
    
    Includes all fields of `PaymentLinkConfigOutputRepresentation`.
    

### GET Retrieve all configured payment method sets.

`GET /payments/payment-method-sets`

Operation ID: `getPaymentMethodSetsByDevOrMerchantAccountId`. Tags: Payment Method Set.

#### Parameters

*   `developerName` (query, string, style: form, explode: true) Optional. Developer name of the payment method set associated with the payment link, which is used to display the payment methods on the payment link page.
*   `merchantAccountId` (query, string, style: form, explode: true) Required. Salesforce Payments merchant account ID associated with the saved payment method.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `object`.
    
    List of payment method sets in use for Salesforce Payments merchant accounts.
    
    Includes all fields of `PaymentMethodSetOutputRepresentation`.
    

### GET Retrieve the details of a specified configured payment method set.

`GET /payments/payment-method-sets/{paymentMethodSetId}`

Operation ID: `getPaymentMethodSetsById`. Tags: Payment Method Set.

#### Parameters

*   `paymentMethodSetId` (path, string, required, style: simple) Required. Unique identifier for the payment method set. You can use the developerName query parameter in place of this path variable.
*   `developerName` (query, string, style: form, explode: true) Optional. Developer-assigned unique name to identify a payment method set. You can use this query parameter instead of the payment method set ID path variable.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `object`.
    
    List of payment method sets in use for Salesforce Payments merchant accounts.
    
    Includes all fields of `PaymentMethodSetOutputRepresentation`.
    

### POST Create a token for a terminal connection.

`POST /payments/terminal-connection-token`

Operation ID: `createTerminalConnectionToken`. Tags: Tap To Pay.

#### Parameters

*   `paymentGatewayId` (query, string, style: form, explode: true) Required. ID of the payment gateway.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `object`.
    
    Terminal connection token details.
    
    Includes all fields of `TerminalConnectionTokenOutputRepresentation`.
    

### POST Create a PaymentGroup container for all payments in a session and initiate the creation of Payment Intents.

`POST /payments/prepare-payments`

Operation ID: `preparePayments`. Tags: Prepare Payments.

#### Request body (required)

Consumes input to create or find Payment Group and initiate creation of Payment Intents.

Media type: `application/json`. Schema: `PreparePaymentsInputRepresentation (extended)`.

Includes all fields of `PreparePaymentsInputRepresentation`.

_Example_

```
{
  "sourceObjectId": "0a6xx000000001dAAA",
  "currencyIsoCode": "USD",
  "totalAmount": "1000",
  "useExistingPaymentGroup": false,
  "paymentIntents": [
    {
      "amount": 1000,
      "currencyIsoCode": "USD",
      "paymentGatewayId": "0b0xx0000000001",
      "paymentMethodType": "card",
      "useManualCapture": false,
      "businessAchEnabled": false,
      "isExpress": false,
      "isShippingApplicable": false,
      "isSavedPaymentMethodEnabled": true,
      "paymentMethodSetDeveloperName": "AMER_US",
      "entryMode": "PlaceOrderV2",
      "gatewayToken": "pm_1P5tJgI1HBpLATyQnQp1aidp"
    }
  ]
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `object`.
    
    PaymentGroupId and list of Payment Intents created.
    
    Includes all fields of `PreparePaymentsOutputRepresentation`.
    

## Schemas

### PaymentLinkToOrderInputRepresentation

PaymentLinkToOrderInputRepresentation

Payment link input that's used to generate the payment order.

*   `additionalData` (_AdditionalDataInputRepresentation_)
*   `paymentData` (_string_) Payment data identifier received from the payment gateway, such as Stripe, after successful validation of the payment data. This data is in JSON format and is stored in Salesforce object after successful payment request.

### PaymentLinkToOrderOutputRepresentation

PaymentLinkToOrderOutputRepresentation

Payment link to order output.

*   `orderReferenceNumber` (_string_) Globally unique identifier (GUID) of the payment order generated after successful completion of a payment request.

### SavedPaymentMethodSortOrderEnum

SavedPaymentMethodSortOrder

Type: `string`.

Allowed values: `CreatedDateAsc`, `CreatedDateDesc`, `IsDefaultAsc`, `IsDefaultDesc`, `NameAsc`, `NameDesc`.

### SavedPaymentMethodCollectionOutputRepresentation

SavedPaymentMethodCollectionOutputRepresentation

Collection of active saved payment methods for an account or contact.

*   `count` (_integer (int32)_) Count of saved payment methods.
*   `currentPageToken` (_string_) Token identifying the current page of saved payment methods.
*   `currentPageUrl` (_string_) URL to the current page of saved payment methods.
*   `items` (_array of SavedPaymentMethodOutputRepresentation_) List of saved payment methods.
*   `nextPageToken` (_string_) Token identifying the next page of saved payment methods.
*   `nextPageUrl` (_string_) URL to the next page of saved payment methods.
*   `pageSize` (_integer (int32)_) Page size for saved payment methods.
*   `previousPageToken` (_string_) Token identifying the previous page of saved payment methods.
*   `previousPageUrl` (_string_) URL to the previous page of saved payment methods.

### SavedPaymentMethodInputRepresentation

SavedPaymentMethodInputRepresentation

Details of the shopper’s saved payment method.

*   `additionalData` (_AdditionalDataInputRepresentation_)
*   `flowContext` (_string_) Optional. Checkout or My Account flow for this payment method.
*   `gatewayCustomerReference` (_string_) Required. Owner associated with the payment method to the payment gateway.
*   `gatewayInitiatorReference` (_string_) Required. Specifies the gateway initiator reference, such as setup intent ID for gateway Stripe.
*   `id` (_string_) Optional. Salesforce ID of the saved payment method record.
*   `isDefault` (_boolean_) Optional. Indicates whether the saved payment method is the default method to use for transactions (true) or not (false).
*   `paymentGatewayId` (_string_) Required. Salesforce ID of the Payment Gateway object record.
*   `paymentMethodType` (_string_) Required. Payment method type, such as a credit card.
*   `referenceOwnerId` (_string_) Required. ID of the merchant account of the contact record.
*   `usageType` (_SavedPaymentMethodUsageType_)
*   `savedByMerchant` (_boolean_) Indicates whether the saved payment method is created by the merchant (true) or not (false).  
    Default: `false`.
*   `gatewayToken` (_string_) Payment method token from the payment gateway.  
    Example: `pm_1P5tJgI1HBpLATyQnQp1aidp`.
*   `payerBillingAddress` (_AddressInputRepresentation_)
*   `paymentMethodInformation` (_PaymentMethodInformationInputRepresentation_)

### SavedPaymentMethodOutputRepresentation

SavedPaymentMethodOutputRepresentation

*   `gatewayResponse` (_object_) Gateway response representation for a saved payment method.
    
    Additional properties: `any`.
    
*   `accountHolderEmail` (_string_) Email of the customer that holds the saved payment method.
*   `accountHolderName` (_string_) Name of customer that holds the saved payment method.
*   `bankAccountType` (_string_) Type of bank account, such as checking or savings.
*   `bankCode` (_string_) Code of the banking institution that issued the saved payment method.
*   `bankName` (_string_) Name of the bank that issued the payment method.
*   `error` (_ErrorResponseRepresentation_)
*   `expiryMonth` (_string_) Month the saved card expires.
*   `expiryYear` (_string_) Year the saved card expires.
*   `gatewayCustomerReference` (_string_) Owner associated with the payment method to the payment gateway.
*   `gatewayRefId` (_string_) ID returned by a payment gateway in a transaction response, indicating that the transaction has happened.
*   `gatewayToken` (_string_) Token representing the saved payment method that is used for future transactions.
*   `id` (_string_) Salesforce ID of the saved payment method record.
*   `isDefault` (_boolean_) Indicates whether the saved payment method is the default payment method to use for transactions (true) or not (false).
*   `isSharedWithinSameAccount` (_boolean_) Indicates whether the saved payment method is shared with other contacts within the same account (true) or not (false). Default is false.
*   `savedByMerchant` (_boolean_) Indicates whether the saved payment method is created by the merchant (true) or not (false).
*   `issuer` (_string_) Issuer of the saved payment method.
*   `last4` (_string_) Last 4 Digits of the saved card payment method.
*   `merchantAccountId` (_string_) Salesforce Payments merchant account ID associated with the saved payment method.
*   `name` (_string_) Name of the saved payment record.
*   `network` (_string_) Saved payment method card network, for example Visa or Union Pay.
*   `paymentGatewayId` (_string_) Salesforce ID of the Payment Gateway object record.
*   `referenceOwnerId` (_string_) Account or Contact record that owns the payment method.
*   `status` (_SavedPaymentMethodStatus_)
*   `type` (_SavedPaymentMethodType_)
*   `usageType` (_SavedPaymentMethodUsageType_)
*   `standardEntryClassCode` (_StandardEntryClassCode_)
*   `isOwner` (_boolean_) Indicates if the current user is the owner of the SavedPaymentMethod (true) or not (false).

### UpdateSavedPaymentMethodInputRepresentation

UpdateSavedPaymentMethodInputRepresentation

*   `markAsDefault` (_boolean_) Optional. Indicates whether to set the saved payment method as the default (true) or not (false). The default is false.
*   `markAsShared` (_boolean_) Optional. Indicates whether to share the saved payment method with other contacts within the same account (true) or not (false). Default is false.

### SavedPaymentMethodDependentOutputRepresentation

SavedPaymentMethodDependentOutputRepresentation

*   `subscriptions` (_array of CommerceSubscriptionDetailRepresentation_) List of dependent subscriptions.

### PaymentIntentInputRepresentation

PaymentIntentInputRepresentation

Payment intents input consumed to initiate a payment.

*   `additionalData` (_AdditionalDataInputRepresentation_)
*   `paymentInitiationSource` (_PaymentInitiationSourceInputRepresentation_)
*   `amount` (_number_) Required. Amount to be captured.
*   `currencyIsoCode` (_string_) Required. Three-letter ISO 4217 code indicating the currency of the payment.
*   `customerId` (_string_) Required. Unique identifier for the customer.
*   `gatewayToken` (_string_) A unique, alphanumeric ID, called a token, that a payment gateway generates when it first processes a payment. The token replaces the actual payment data so that the data is kept secure. This token is stored as encrypted text, and can be used for recurring payments.
*   `isExpress` (_boolean_) Optional. Indicates whether the payment intent request is for Express checkout (true) or not (false). The default value is false. This field is applicable to only the PayPal gateway.
*   `entryMode` (_EntryMode_)
*   `isSavedPaymentMethodEnabled` (_boolean_) Indicates whether saved payment method is enabled (true) or not (false).
*   `isShippingApplicable` (_boolean_) Indicates whether shipping is applicable to this particular payment (true) or not (false). The default value is false. This field is applicable to only the PayPal gateway.
*   `payerAccountId` (_string_) Optional. ID of the payer’s Salesforce account. The ID is shown in the URL of any record. For example, if the record’s URL is [https://na1.lightning.force.com/lightning/r/Account/001OK000002KF2RYAW/view](https://na1.lightning.force.com/lightning/r/Account/001OK000002KF2RYAW/view), the ID is 001OK000002KF2RYAW.
*   `paymentGatewayId` (_string_) Required. ID of the payment gateway that processes the payment intent.
*   `paymentMethod` (_object_) Optional. Details required to save a payment method.
*   `paymentMethodSetDeveloperName` (_string_) Optional. Developer name for the payment method set.
*   `paymentMethodType` (_string_) Required. Type of payment instrument, such as a credit card or digital wallet.
*   `shippingAddress` (_AddressInputRepresentation_)
*   `sourceObjectIds` (_array of string_) Required. A list of cart or checkout IDs that indicates what the payment was made for.
*   `useManualCapture` (_boolean_) Optional. Indicates whether to use manual capture of a payment (true) or not (false).
*   `businessAchEnabled` (_boolean_) Optional. Indicates whether to enable business ACH accounts in the payment sheet (true) or not (false).
*   `payerBillingAddress` (_AddressInputRepresentation_)
*   `paymentMethodInformation` (_PaymentMethodInformationInputRepresentation_)
*   `applyDomainValidations` (_boolean_) Optional (defaulted to true). Indicates whether validation specific to the application where the payment originated is performed.

### PaymentIntentOutputRepresentation

PaymentIntentOutputRepresentation

List of initiated payment intents.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayRefId` (_string_) Identifier of the gateway response.
*   `gatewayResponse` (_object_) Response from the payment gateway request.
    
    Additional properties: `any`.
    
*   `guid` (_string_) Unique identifier of the payment intent request.
*   `paymentGatewayId` (_string_) ID of the Salesforce Payment Gateway object.
*   `status` (_string_) Status of payment intent.  
    Allowed values: `created`, `processing`, `succeed.`.
*   `isMultiCaptureSupported` (_boolean_) Indicates whether the status of the payment intent from a payment gateway, such as Stripe is multi-capturable (true) or not (false).

### PaymentLinkConfigOutputRepresentation

PaymentLinkConfigOutputRepresentation

Payment link configuration details.

*   `amount` (_number_) Amount of the payment link.
*   `cartId` (_string_) ID of the cart associated with the payment link.  
    Example: `0a6000000AN79`.
*   `currencyIsoCode` (_string_) Currency Iso code of the payment link.  
    Example: `USD`.
*   `description` (_string_) Description of the payment link.  
    Example: `Sample payment link description`.
*   `paymentMethodSetDevName` (_string_) Developer name of the payment method set associated with the payment link, which is used to display the payment methods on the payment link page.  
    Example: `AMER-US`.
*   `title` (_string_) Title of the payment link.  
    Example: `Some payment link title`.
*   `type` (_PaymentLinkType_)

### PaymentMethodSetOutputRepresentation

PaymentMethodSetOutputRepresentation

PaymentMethodSet output representation

*   `countryCode` (_string_) Country that the payment method set is assigned to.
*   `developerName` (_string_) Developer-assigned unique name to identify the payment method set.
*   `id` (_string_) Identifies the payment method set that is mapped to a web store.
*   `merchantAccountId` (_string_) Identifies the Salesforce Payments merchant account associated with the payment method set.
*   `name` (_string_) Assigned name of the payment method set.
*   `paymentMethodSetAccounts` (_array of PaymentMethodSetAccount_) List of payment gateway accounts for the payment method set.
*   `paymentMethods` (_array of PaymentMethod_) List of payment method sets in use for Salesforce Payments merchant accounts.

### TerminalConnectionTokenOutputRepresentation

TerminalConnectionTokenOutputRepresentation

Details of the terminal connection token.

*   `clientSecret` (_string_) A client secret token provided to the payment gateway, such as Stripe.
*   `error` (_ErrorResponseRepresentation_)
*   `locationId` (_string_) The ID of the location to which this connection token is limited.

### PreparePaymentsInputRepresentation

PreparePaymentsInputRepresentation

Prepare Payments input consumed to create or find a Payment Group and initiate creation of payment intents.

*   `sourceObjectId` (_string_) Required. A unique identifier representing the cart for which the payment was made.
*   `currencyIsoCode` (_string_) Required. Three-letter ISO 4217 code indicating the currency of the payment.
*   `totalAmount` (_string_) Required. Total amount required to initiate and complete the payment session.
*   `paymentIntents` (_array of PaymentIntentInputRepresentation_) List of payment intents to create.
*   `useExistingPaymentGroup` (_boolean_) Optional. Indicates whether the payment method has changed since the last request (true) or not (false). Defaulted to false.

### PreparePaymentsOutputRepresentation

PreparePaymentsOutputRepresentation

Output consists of the id of the Payment Group and list of Payment Intents.

*   `error` (_ErrorResponseRepresentation_)
*   `paymentGroupId` (_string_) Identifier of the created or existing active PaymentGroup associated to sourceObjectId.
*   `paymentIntents` (_array of PaymentIntentOutputRepresentation_) List of payment intents that have been created.

### AdditionalDataInputRepresentation

AdditionalDataInputRepresentation

Specifies the additional entries for all connect services, each of which includes a key and value. Supports up to five key-value pairs. Each key and each value can contain up to 255 characters.

*   `asMap` (_object_) Additional data for all connect services
    
    Additional properties: `string`.
    

### SavedPaymentMethodUsageType

SavedPaymentMethodUsageType

Saved Payment Method Usage Type

Type: `string`.

Allowed values: `OffSession`, `OnSession`.

### AddressInputRepresentation

AddressInputRepresentation

Address input.

*   `city` (_string_) Optional. Address city.
*   `companyName` (_string_) Optional. Address company name.  
    Example: `Test Company`.
*   `country` (_string_) Optional. Address country.  
    Example: `United States`.
*   `postalCode` (_string_) Optional. Zip code or postal code for the address.  
    Example: `94102`.
*   `state` (_string_) Optional. Address state.  
    Example: `CA`.
*   `street` (_string_) Optional. Address street.  
    Example: `Baker Street`.
*   `phone` (_string_) Optional. Address phone number.  
    Example: `+1(415)555‑0132`.
*   `email` (_string_) Optional. Email address.  
    Example: `john.doe@gmail.com`.

### PaymentMethodInformationInputRepresentation

PaymentMethodInformationInputRepresentation

Payment Method Information input representation

*   `accountHolder` (_AccountHolder_)
*   `accountType` (_AccountType_)
*   `accountNumber` (_integer (int32)_) Unique number of the bank account.
*   `routingNumber` (_integer (int32)_) Bank routing number.
*   `paymentMethodData` (_object_) A map of key-value pairs holding dynamic payment method data. The key is a string representing the attribute, and the value can be any object.
    
    Additional properties: `object`.
    
*   `achConsentMethod` (_AchConsentMethod_)

### ErrorResponseRepresentation

ErrorResponseRepresentation

An error representation containing an error code and error message.

*   `errorCode` (_string_) Error code.  
    Example: `401`.
*   `errorMessage` (_string_) Message stating the reason for error, if any.  
    Example: `Some error message`.

### SavedPaymentMethodStatus

SavedPaymentMethodStatus

Saved Payment Method status

Type: `string`.

Allowed values: `Active`, `AwaitingPayment`, `Errored`, `Expired`.

### SavedPaymentMethodType

SavedPaymentMethodType

Saved Payment Method type

Type: `string`.

Allowed values: `Au_becs_debit`, `Bacs_debit`, `Bancontact`, `Card`, `Ideal`, `Sepa_debit`, `Us_bank_account`.

### StandardEntryClassCode

StandardEntryClassCode

Standard Entry Codes for ACH transactions  
\* `WEB` - Web Internet Initiated/Mobile Entry  
\* `CCD` - Coreporate Credit or Debit Entry  
\* `PPD` - Prearranged Payment and Deposit  
\* `TEL` - Telephone-Initiated Entry

Type: `string`.

Allowed values: `WEB`, `CCD`, `PPD`, `TEL`.

### CommerceSubscriptionDetailRepresentation

CommerceSubscriptionDetailRepresentation

Output Representation for Commerce Subscription.

*   `id` (_string (uuid)_) Unique identifier for the subscription.  
    Example: `64bf835f-ada9-4538-b5a3-f4ed8672c7b5`.
*   `startDate` (_string (date-time)_) The date when the subscription starts.  
    Example: `2023-08-01T00:00:00.000Z`.
*   `endDate` (_string (date-time)_) The date when the subscription ends.  
    Example: `2024-07-31T23:59:59.000Z`.
*   `quantity` (_number (double)_) The quantity associated with the subscription.  
    Example: `5`.
*   `product` (_object_) Details about the product.
    
    Includes all fields of `BuyerProductSummaryRepresentation`.
    
*   `sellingModel` (_object_) Details about the product selling model.
    
    Includes all fields of `ProductSellingModelRepresentation`.
    
*   `billing` (_object_) Summary of the billing information.
    
    Includes all fields of `CommerceSubscriptionBillingSummaryRepresentation`.
    

### PaymentInitiationSourceInputRepresentation

Input Representation for Payment Initiation Source

*   `application` (_Application_)
*   `channel` (_string_) Channel that submitted the payment.
*   `process` (_string_) Process(Component) that submitted the payment
*   `standardReferences` (_StandardReferenceInputRepresentation_)
*   `customFields` (_CustomFieldInputRepresentation_)

### EntryMode

EntryMode

Determines how the payment information is supplied.

Type: `string`.

Allowed values: `Payer_Online`, `Merchant`, `TapToPay`.

### PaymentLinkType

PaymentLinkType

Type of the PaymentLink

Type: `string`.

Allowed values: `CheckoutWithOrder`, `PredefindAmount`, `WithProducts`.

### PaymentMethodSetAccount

PaymentMethodSetAccount

Details of the payment method set for an account.

*   `accountId` (_string_) Gateway provider account for the payment method set.
*   `config` (_object_) Gateway configuration for the payment method set.
    
    Additional properties: `string`.
    
*   `gatewayId` (_string_) Unique identifier of the gateway provider.
*   `vendor` (_string_) Vendor name.

### PaymentMethod

PaymentMethod

PaymentMethodSet Payment Type representation

*   `accountId` (_string_) Salesforce Payments account to which this payment method is linked.
*   `paymentMethodType` (_string_) Type of payment instrument, such as a credit card or digital wallet.
*   `paymentModes` (_array of string_) Payment modes.

### AccountHolder

AccountHolder

Account holder type.

Type: `string`.

Allowed values: `Individual`, `Business`.

### AccountType

AccountType

Bank account type

Type: `string`.

Allowed values: `Checking`, `Savings`.

### AchConsentMethod

AchConsentMethod

The method used to collect offline mandate customer acceptance.

Type: `string`.

Allowed values: `Written`, `Verbal`.

### BuyerProductSummaryRepresentation

BuyerProductSummaryRepresentation

*   `id` (_string (uuid)_) Unique identifier for the product  
    Example: `64bf835f-ada9-4538-b5a3-f4ed8672c7b5`.
*   `name` (_string_) Name of the product  
    Example: `Alpine Creative Suite`.
*   `sku` (_string_) Stock Keeping Unit (SKU) of the product  
    Example: `#421234`.
*   `fields` (_object_) A map of fields associated with the product
    
    Additional properties: `RecordFieldRepresentation`.
    
*   `image` (_ProductMediaRepresentation_)
*   `variationAttributes` (_array of ProductAttributeSummaryRepresentation_) List of attributes representing product variations
*   `canViewProduct` (_boolean_) Indicates if the product can be viewed  
    Example: `true`.
*   `success` (_boolean_) Indicates if the product retrieval was successful  
    Example: `true`.
*   `error` (_ErrorResponseRepresentation_)

### ProductSellingModelRepresentation

ProductSellingModelRepresentation

*   `id` (_string (uuid)_) Unique identifier for the selling model.  
    Example: `64bf835f-ada9-4538-b5a3-f4ed8672c7b5`.
*   `name` (_string_) Name of the selling model.  
    Example: `Term Defined`.
*   `sellingModelType` (_string_) Type of the selling model.  
    Allowed values: `OneTime`, `TermDefined`, `Evergreen`. Example: `TermDefined`.
*   `pricingTerm` (_integer_) The term for pricing in the selling model.  
    Example: `1`.
*   `pricingTermUnit` (_string_) Unit of the pricing term.  
    Allowed values: `Months`, `Annual`. Example: `Months`.
*   `subscriptionTermRule` (_SubscriptionTermRuleRepresentation_)
*   `displayName` (_string_) Display name of the selling model.  
    Example: `Monthly Subscription`.
*   `description` (_string_) Description of the selling model.  
    Example: `This selling model offers a monthly subscription with a fixed term.`.

### CommerceSubscriptionBillingSummaryRepresentation

CommerceSubscriptionBillingSummaryRepresentation

*   `currencyIsoCode` (_string_) ISO code for the currency used in billing.  
    Example: `USD`.
*   `billingMethod` (_string_) Method of billing.  
    Example: `OrderAmount`.
*   `billingTerm` (_integer_) The term duration for billing.  
    Example: `1`.
*   `billingTermUnit` (_string_) Unit of the billing term.  
    Example: `Month`.
*   `billingType` (_string_) Type of billing.  
    Example: `Advance`.
*   `billingPeriodAmount` (_string_) Amount to be billed for each period.  
    Example: `500`.
*   `nextBillingDate` (_string (date-time)_) The date for the next billing.  
    Example: `2023-08-01T11:41:45.040Z`.
*   `cancellationDate` (_string (date-time)_) The date the subscription was or will be canceled.  
    Example: `2024-08-29T11:41:45.040Z`.

### Application

Application

Application through which the payment was submitted.

Type: `string`.

Allowed values: `Commerce`, `OrderManagement`, `Payments`, `Revenue`, `FieldService`, `Scheduler`, `Collections`, `Service`, `Sales`, `Custom`.

### StandardReferenceInputRepresentation

StandardReferenceInputRepresentation

Wraps a map of standard field reference names and their corresponding IDs.

*   `asMap` (_object_) Map of standard field reference names and their corresponding IDs.
    
    Additional properties: `string`.
    

### CustomFieldInputRepresentation

CustomFieldInputRepresentation

Wraps a map of custom field names and their corresponding values.

*   `asMap` (_object_) Map of custom field names and their corresponding values.
    
    Additional properties: `object`.
    

### RecordFieldRepresentation

RecordFieldRepresentation

A generic record field object with type, label and text.

*   `type` (_string_) The type of the record field.  
    Example: `string, int, currency`.
*   `label` (_string_) The label for the record field.  
    Example: `Account, Billing Address, Status`.
*   `dataName` (_string_) The data name associated with the field.  
    Example: `isBuyer`.
*   `dataType` (_string_) The data type of the field.  
    Example: `xsd:string`.
*   `text` (_string_) The textual content of the field.  
    Example: `Created, 34`.

### ProductMediaRepresentation

ProductMediaRepresentation

*   `id` (_string (uuid)_) Unique identifier for the media.  
    Example: `64bf835f-ada9-4538-b5a3-f4ed8672c7b5`.
*   `url` (_string (uri)_) URL to the media resource.  
    Example: `/cms/delivery/media/MC2KSOOFJGRZDDJGQG4QJHLKHTZQ?recordId=01tRO000000FVNB&buyerId=001RO000001npBo`.
*   `thumbnailUrl` (_string (uri)_) URL to the thumbnail of the media.  
    Example: `/img/b2b/default-thumbnail-product-image.svg`.
*   `title` (_string_) Title of the media.  
    Example: `tshirt 5`.
*   `alternateText` (_string_) Alternate text for the media, used for accessibility.  
    Example: `Pack of TShirt, 2oz - 6 pack`.
*   `sortOrder` (_integer_) Sort order of the media among others.  
    Example: `0`.
*   `mediaType` (_string_) Type of media  
    Allowed values: `IMAGE`, `VIDEO`, `DOCUMENT`.
*   `contentVersionId` (_string (uuid)_) Unique identifier for the content version associated with the media.

### ProductAttributeSummaryRepresentation

ProductAttributeSummaryRepresentation

*   `apiName` (_string_) API name of the product attribute.  
    Example: `size`.
*   `label` (_string_) Display label for the product attribute.  
    Example: `Size`.
*   `value` (_string_) Value of the product attribute.  
    Example: `Medium`.
*   `sequence` (_integer_) The sequence or order of the attribute among other attributes.  
    Example: `1`.

### SubscriptionTermRuleRepresentation

SubscriptionTermRuleRepresentation

*   `minimum` (_integer_) The minimum term for the subscription.  
    Example: `5`.
*   `maximum` (_integer_) The maximum term for the subscription.  
    Example: `15`.
*   `increment` (_integer_) The increment value between terms for the subscription.  
    Example: `5`.

### SavedPaymentMethodAbstractOutputRepresentation

SavedPaymentMethodAbstractOutputRepresentation

Payment saved payment method output representation.

*   `gatewayResponse` (_object_) Gateway response representation for a saved payment method.
    
    Additional properties: `any`.
    

### TerminalConnectionTokenInputRepresentation

TerminalConnectionTokenInputRepresentation

Terminal Connection Token Connect Input Rep

*   `paymentGatewayId` (_string_) Set Gateway Account Id